<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="Exercise - 1 for Frontend Development">
		<meta name="keywords" content="HTML, Frontend, Semantic, Tags, Exercise-1">
		<meta name="author" content="Rafael Rojas, Raquel Perez">
		<title>Exercise 1</title>

		<link rel="icon" href="round.png">
		<style>
			header {
				text-align: center;
				margin: 3px;
				padding: 5px;
				background-color: chocolate;
			}

			article {
				padding: 5px;
				margin: 3px;
				width: 60%;
				background-color: aquamarine;
			}

			footer {
				text-align: center;
				padding: 5px;
				margin: 3px;
				background-color: chocolate;
			}

			.aside-left {
				text-align: center;
				padding: 5px;
				margin: 3px;
				width: 10%;
				background-color: greenyellow;
			}

			.aside-right {
				padding: 5px;
				margin: 3px;
				width: 30%;
				background-color: lightblue;
			}

			main {
				display: flex;
				flex-direction: row;
			}
		</style>
	</head>
	<body>
		<header>
			<h1>HTML5 Semantics and Flexbox</h1>
		</header>
		<main>
			<aside class="aside-left">
				<h3>Navigate</h3>
				<nav>
					<strong>Exercises</strong><br>
					<a href="ejercicio-2.html" target="_blank">Exercise 2</a><br>
					<a href="ejercicio-3.html" target="_blank">Exercise 3</a><br>
				</nav>
			</aside>
			<article>
				<section>
					<h2>About This Page</h2>
					<p>On this page, I am experimenting with HTML5 semantics and CSS flexbox for a tidy layout.</p>
					<p>
						On JS Bin, I purposedly includes the stylesheet on the HTML tab (instead of separate CSS tab) 
						for easier code reading for those with small screen
					</p>
					<p>
						The <small>main</small> element is placed within a <small>div</small> element along with <small>nav</small>
						 and <small>aside</small>. I dont know if this is right or wrong (let me know?)
					</p>
					<p>
						Navgation links are placed within <small>nav</small>, laid on the left. The <small>main</small> 
						is at the center column(this Column). Within it is the main topic(this article)
					</p>
					<p>
						The <small>aside</small> element is at the rightmost of the columns, 
						I put supplemental information on it
					</p>
				</section>
				<section>
					<h2>Test This Page</h2>
					<p>Do test this page by:</p>
					<ul>
						<li>Resizing the browser windows; see if flexbox lives up to its reputation</li>
						<li>Run HTML Outliner or HeadingsMap (or similar tool) and see if the outline is good</li>
						<li>
							Check the markup in this page with W3C Markup validator, see if the markups are good. Paste the URL of this page to the address column. 
							<a href="https://www.w3schools.com/html/html_links.asp" target="_blank">Click here to try</a>
						</li>
						<li>
							Check the CSS part of this page too! 
							<a href="https://www.w3schools.com/html/html5_semantic_elements.asp" target="_blank">Click here!</a>
						</li>
					</ul>
				</section>
			</article>
			<aside class="aside-right">
				<section>
					<h2>HTML</h2>
					<p>Stands for HyperText Markup Language. The current standard isHTML5</p>
				</section>
				<section>
					<h2>CSS</h2>
					<p>Stands for Cascade Style Sheet. The current standard is CSS3</p>
				</section>
				<section>
					<h2>URL</h2>
					<p>Short for Uniform Resource Locator. It is a reference (an address) to a resource on the internet</p>
				</section>
			</aside>
		</main>
		<footer>
			Sep, 2022 @ grupo6
		</footer>
	</body>
</html>